Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 650224 - media-gfx/argyllcms-2.0.0 - add openssl-1.1 support
Summary: media-gfx/argyllcms-2.0.0 - add openssl-1.1 support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2018-03-11 15:54 UTC by Yuriy Ilinykh
Modified: 2020-01-17 14:25 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-gfx/argyllcms-2.0.0: openssl-1.1 patch (argyllcms-2.0.0-openssl-1.1.patch,822 bytes, patch)
2018-03-11 15:54 UTC, Yuriy Ilinykh
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuriy Ilinykh 2018-03-11 15:54:01 UTC
Created attachment 523518 [details, diff]
media-gfx/argyllcms-2.0.0: openssl-1.1 patch

Build fails with dev-libs/openssl-1.1.0g-r2 with error:

ccast/libccast.a(ccpacket.o): In function `connect_ccpacket_imp':
ccpacket.c:(.text+0x470): undefined reference to `TLSv1_client_method'
ccast/libccast.a(ccpacket.o): In function `new_ccpacket':
ccpacket.c:(.text+0x6f7): undefined reference to `SSL_load_error_strings'
ccpacket.c:(.text+0x6fe): undefined reference to `SSL_library_init'
collect2: error: ld returned 1 exit status

But following patch fixes it.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2018-10-24 16:00:51 UTC
Since we decided to no longer build openssl without deprecated features, this
bug can now be considered as fixed (but will eventually reappear once openssl
upstream finally removed deprecated features from their code).
Comment 2 Andreas Sturmlechner gentoo-dev 2019-04-28 18:27:29 UTC
Maybe we should keep this open then, but drop from openssl-1.1 blockers. Was this patch every tried to submit upstream?
Comment 3 Andreas Sturmlechner gentoo-dev 2019-05-02 19:00:00 UTC
I don't even see dev-libs/openssl listed as a dependency in the ebuild, is it just missing or this bug invalid?
Comment 4 Bernard Cafarelli gentoo-dev 2019-05-26 15:56:39 UTC
Version 1.8.0 (20th August 2015)
-------------

* Build using OpenSSL rather than axTLS if it is built on Linux.

So it has been around for some time

I added openssl dependency in 2.1.1 bump and will ping upstream about that patch (it looks reasonable)
Comment 5 Larry the Git Cow gentoo-dev 2019-05-26 16:02:12 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=231cdec72bf4e29e809a906503b382c3fa35723f

commit 231cdec72bf4e29e809a906503b382c3fa35723f
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2019-05-26 15:58:55 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2019-05-26 16:01:31 +0000

    media-gfx/argyllcms: 2.1.1 bump, add missing openssl dep
    
    Bug: https://bugs.gentoo.org/650224
    Package-Manager: Portage-2.3.66, Repoman-2.3.12
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 media-gfx/argyllcms/Manifest               |  1 +
 media-gfx/argyllcms/argyllcms-2.1.1.ebuild | 90 ++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)
Comment 6 Larry the Git Cow gentoo-dev 2020-01-17 14:25:38 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf7e39421c97cee7d59f77c728ffe4d0a93ac0ad

commit cf7e39421c97cee7d59f77c728ffe4d0a93ac0ad
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2020-01-17 14:25:19 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2020-01-17 14:25:32 +0000

    media-gfx/argyllcms: 2.1.2 bump
    
    Patch for openssl 1.1 detection and TLSv1_client_method call was added
    upstream so we can close relevant Gentoo bug
    
    Closes: https://bugs.gentoo.org/650224
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 media-gfx/argyllcms/Manifest               |  1 +
 media-gfx/argyllcms/argyllcms-2.1.2.ebuild | 91 ++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)